#include<iostream>
#define endl '\n'
using namespace std;
int n,a,pr,ind[100005];
int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n;
    cin>>n;

    for(int i=1;i<=n;i++)
    {
        cin>>a;
        ind[a]=i;
    }
    int br=n;
    cin>>pr;
    for(int i=2;i<=n;i++)
    {
        cin>>a;
        if(ind[pr]+1==ind[a])
            br--;

        pr=a;
    }
    cout<<br<<endl;
}